刚刚安装了SASS,但无法得到它的版本[英] Just installed SASS, but can't get it's version

本文是小编为大家收集整理的关于刚刚安装了SASS,但无法得到它的版本的处理方法,想解了刚刚安装了SASS,但无法得到它的版本的问题怎么解决?刚刚安装了SASS,但无法得到它的版本问题的解决办法?那么可以参考本文帮助大家快速定位并解决问题。

问题描述

所以我从终端安装了 SASS,只是 gem install sass 我看到它说成功安装了 sass-3.2.9.但是,当我执行 sass --version 或 sass --v 时,我收到此错误:

-bash: sass: 找不到命令

?

在此处输入图片描述

我唯一能想到的是,当我在 Tuts+ 上做 Git 教程时,我遇到了本地与全局问题,或者我不得不编辑 bash_profile 文件:

这是我的用户目录中的 bash_profile 文件中的内容:

export PATH="/usr/local/bin:$PATH"

有什么想法或建议吗?为什么我无法获得刚刚安装的 SASS 或 Compass 版本?我可以得到ruby --version.

推荐答案

得到了答案!https://superuser.com/questions/600262/error-when-installing-and-trying-to-get-version-of-sass-via-terminal?noredirect=1#comment739892_600262

$ brew --prefix ruby
/usr/local/opt/ruby
$ stat -f%Y /usr/local/opt/ruby
../Cellar/ruby/2.0.0-p0
$ export PATH=/usr/local/opt/ruby/bin:$PATH
$ which sass
/usr/local/opt/ruby/bin/sass

本文地址:https://www.itbaoku.cn/post/786724.html